Page MenuHomePhabricator

roadmap of migration to Wikistats 2
Closed, ResolvedPublic0 Story Points

Description

First congratulations with the launch of Wikistats 2! A major milestone!

As said in the launch statement, migration of (part of the) existing reports will happen over time. Is there a road map, with timing and priorities?

I fully expect that migration will be incremental, not a big bang. I just browsed the survey [1] to remind myself which reports are in highest demand.
There is a handful reports with 30+ votes (the numbers in the TOC are indicative, but manually maintained).

Here is my suggestion for which cluster to tackle first, and why:

Most prolific contributors [2], and variations on that (bots, absentees, ip addresses), deal with individuals.
Migration into to one combined and dynamic Wikistats 2 report would probably garner a lot of attention, and open up such metrics for many more users.
I'm not sure what other existing reports outside Wikistats already provide part of functionality. There are a few.
But maybe not as comprehensive and condensed as the report in Wikistat1.

Idea to bring this further than Wikistats 1's implementation:

On top of presenting the top 50 (or maybe 500) in a (scrollable) list, it would be nice if people can also query by user name.
A user might enter filter criteria like 'content namespace, or all namespaces' / 'period all time or last year'.
Another nice addition would be to link per listed user name to a second query which retrieves stats for all wikis for that user, say ranked by number of edits.

[1] https://www.mediawiki.org/wiki/Analytics/Wikistats/DumpReports/Future_per_report
[2] https://www.mediawiki.org/wiki/Analytics/Wikistats/DumpReports/Future_per_report#Most_prolific_contributors_(39)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2017, 8:12 PM
Restricted Application added a project: Analytics. · View Herald TranscriptDec 18 2017, 11:33 PM
Nuria added a comment.Dec 19 2017, 3:53 AM

As said in the launch statement, migration of (part of the) existing reports will happen over time. Is there a road map, with timing and priorities?

Not yet, it is not likely we get to migrate any more reports this year.
Our upcoming work will be in apis and UI for maps : https://phabricator.wikimedia.org/T90759 plus more (invisible but necessary work) on backend: https://phabricator.wikimedia.org/T177965 plus work regarding mobile layouts: https://phabricator.wikimedia.org/T176143 plus bug fixes.

Most prolific contributors [2], and variations on that (bots, absentees, ip addresses), deal with individuals.
On top of presenting the top 50 (or maybe 500) in a (scrollable) list, it would be nice if people can also query by user name.
A user might enter filter criteria like 'content namespace, or all namespaces' / 'period all time or last year'.
Another nice addition would be to link per listed user name to a second query which retrieves stats for all wikis for that user, say ranked by number of edits.

Sounds doable and a real nice to have. This work would definitely need design input so we probably want to look into hiring a designer again next year

Nuria moved this task from Incoming to Dashiki on the Analytics board.Dec 20 2017, 9:57 PM
Milimetric moved this task from Dashiki to Incoming on the Analytics board.Apr 2 2018, 3:33 PM
Milimetric moved this task from Dashiki to Incoming on the Analytics board.
Nuria moved this task from Incoming to Wikistats Beta on the Analytics board.Apr 5 2018, 4:58 PM
Milimetric triaged this task as Normal priority.Apr 19 2018, 5:28 PM
Milimetric raised the priority of this task from Normal to High.May 7 2018, 8:15 PM
mforns raised the priority of this task from High to Needs Triage.Oct 8 2018, 4:17 PM
mforns moved this task from Wikistats Beta to Blocked on the Analytics board.
mforns set the point value for this task to 0.
Nuria added a comment.EditedOct 8 2018, 4:57 PM

Here is my suggestion for which cluster to tackle first, and why:
Most prolific contributors [2], and variations on that (bots, absentees, ip addresses), deal with individuals.

These reports are already launched, please see examples for italian wikipedia:
https://stats.wikimedia.org/v2/#/it.wikipedia.org/contributing/top-editors/normal|table|2-Year|~total

Nuria added a comment.Oct 8 2018, 5:03 PM

it would be nice if people can also query by user name.

We actually have gotten some pushback with stats such as these so we rolled back some API changes as of late. See: https://phabricator.wikimedia.org/T203826#4578764

I will be closing this ticket as I think its main point has been addressed, let us know otherwise.

Remaining work for pother reports in wikipedia is tracked as part of this ticket, note that much of the data available on API still does not have an UI:
https://phabricator.wikimedia.org/T186121

Nuria closed this task as Resolved.Oct 8 2018, 5:03 PM